package schedframe.resources.computing.profiles.energy;

import schedframe.events.Event;
import schedframe.events.EventReason;
import schedframe.events.EventType;


public class ResourceEvent implements Event{

	protected EventType type;
	protected EventReason reason;
	protected String source;
	protected Object data;

	public ResourceEvent(EventType eventType, String source){
		this.type = eventType;
		this.source = source;
		setReason(EventReason.UNKNOWN);
	}
	
	public ResourceEvent(EventType eventType, Object data, String source){
		this.type = eventType;
		this.data = data;
		this.source = source;
		setReason(EventReason.UNKNOWN);
	}
	
	public ResourceEventType getType() {
		ResourceEventType resEventType; 
		try{
			resEventType = (ResourceEventType)type;
		} catch(Exception e){
			resEventType = null; 
		}
		return resEventType;
	}

	public Object getData() {
		return data;
	}

	public String getSource() {
		return source;
	}

	public EventReason getReason() {
		return reason;
	}

	public void setReason(EventReason reason) {
		this.reason = reason;
	}
}
